> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fireblocks Wallet Report

> Lists Fireblocks vault accounts and asset balances via the custody provider factory.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-fireblocks-wallet-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-fireblocks-wallet-report:
    get:
      operationId: getFireblocksWalletReport
      summary: Get Fireblocks Wallet Report
      x-toku-required-scope: wallets:read
      description: >-
        Lists Fireblocks vault accounts and asset balances via the custody
        provider factory.


        Required scope: `wallets:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFireblocksWalletReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetFireblocksWalletReportResponse:
      type: array
      items:
        type: object
        properties:
          vaultAccountId:
            type: string
          vaultAccountName:
            type: string
          assets:
            type: array
            items:
              type: object
              properties:
                id:
                  type: string
                address:
                  type: string
                legacyAddress:
                  type: string
                tag:
                  type: string
                balance:
                  type: string
                lockedAmount:
                  type: string
                available:
                  type: string
                pending:
                  type: string
                frozen:
                  type: string
                blockHeight:
                  type: string
                blockHash:
                  type: string
              required:
                - id
                - address
                - balance
                - lockedAmount
                - available
                - pending
                - frozen
          hiddenOnUI:
            type: boolean
          autoFuel:
            type: boolean
        required:
          - vaultAccountId
          - vaultAccountName
          - assets
          - hiddenOnUI
          - autoFuel
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
